com.aliyun.svideosdk.mixrecorder

## Class AliyunMixTrack

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixTrack

-     public class AliyunMixTrack
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunMixTrack()`
    `AliyunMixTrack(int trackId)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addStream(AliyunMixStream stream)` 在该轨道上添加视频流，只能添加一个，添加多个以最后添加的为准
    `int` | `getMixAudioWeight()` v3.19.0 新增 获取音轨音量大小
    `AliyunMixStream` | `getMixStream()` 获取轨道上的视频流
    `AliyunMixTrackLayoutParam` | `getMixTrackLayoutParam()` v3.19.0 新增 获取当前轨道的布局参数
    `int` | `getTrackId()` Deprecated.
    `boolean` | `isAudioOutputTrack()` v3.19.0 新增 当前轨的音频是否参与混音输出，默认为true
    `void` | `setIsOutputAudioTrack(boolean isOutputAudioTrack)` v3.19.0 新增 设置该轨道是否参与音频输出，设置false表示该轨道静音
    `void` | `setMixAudioWeight(int mixAudioWeight)` v3.19.0新增 设置混音时的音量大小 混音类型为com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX生效
    `void` | `setMixTrackLayoutParam(AliyunMixTrackLayoutParam mMixTrackLayoutParam)` v3.19.0 新增 设置/修改当前合拍轨道的布局参数
    `void` | `setTrackId(int trackId)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunMixTrack

          public AliyunMixTrack()

    - #### AliyunMixTrack

          @Deprecated
          public AliyunMixTrack(int trackId)

      Deprecated.

  - ### Method Detail

    - #### addStream

          public int addStream(AliyunMixStream stream)

      在该轨道上添加视频流，只能添加一个，添加多个以最后添加的为准
      Parameters:
        `stream` -
      Returns:
        成功返回streamId（>=0），失败返回错误码
      See Also:
        `AliyunMixStream`

    - #### setMixAudioWeight

          public void setMixAudioWeight(int mixAudioWeight)

      v3.19.0新增 设置混音时的音量大小 混音类型为com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX生效
      Parameters:
        `mixAudioWeight` - [0~100]
      See Also:
        `com.aliyun.svideosdk.mixrecorder.MixAudioSourceType#MIX}`

    - #### setIsOutputAudioTrack

          public void setIsOutputAudioTrack(boolean isOutputAudioTrack)

      v3.19.0 新增 设置该轨道是否参与音频输出，设置false表示该轨道静音
      Parameters:
        `isOutputAudioTrack` - true:音频输出 , false: 静音

    - #### setMixTrackLayoutParam

          public void setMixTrackLayoutParam(AliyunMixTrackLayoutParam mMixTrackLayoutParam)

      v3.19.0 新增 设置/修改当前合拍轨道的布局参数
      Parameters:
        `mMixTrackLayoutParam` - see `AliyunMixTrackLayoutParam`

    - #### getTrackId

          @Deprecated
          public int getTrackId()

      Deprecated.
      获取轨道ID
      Returns:

    - #### setTrackId

          @Deprecated
          public void setTrackId(int trackId)

      Deprecated.
      do not call this method
      Parameters:
        `trackId` -

    - #### isAudioOutputTrack

          public boolean isAudioOutputTrack()

      v3.19.0 新增 当前轨的音频是否参与混音输出，默认为true
      Returns:

    - #### getMixAudioWeight

          public int getMixAudioWeight()

      v3.19.0 新增 获取音轨音量大小
      Returns:

    - #### getMixTrackLayoutParam

          public AliyunMixTrackLayoutParam getMixTrackLayoutParam()

      v3.19.0 新增 获取当前轨道的布局参数
      Returns:
        see `AliyunMixTrackLayoutParam`

    - #### getMixStream

          public AliyunMixStream getMixStream()

      获取轨道上的视频流
      Returns:
        视频流，`AliyunMixStream`